Subject: bug#5679: Emacs 23.1.93 pretest

From: <[email-masked]>
Date: Wed, 10 Mar 2010 14:29:59 +0300

YAMAMOTO Mitsuharu <[email-masked]> writes:

>>>>>> On Wed, 10 Mar 2010 13:05:07 +0300, <[email-masked]> said:
>
>>> I tried installing the PCF fonts extracted from
>>> xfonts-terminus-oblique_4.26-2.1_all.deb to ~/.fonts on Mac OS X
>>> 10.6.  The result was:
>>> 
>>> 1. I could reproduce the above problem on Emacs 23.1.92.
>>> 2. But I could also reproduce it on Emacs 23.1, unlike OP.
>
>> No, I, the OP, can also reproduce it on Emacs 23.1. Here is what I
>> wrote in the original report:
>
>> " Small example screenshots from emacs 22.2.1 (correct rendering)
>> and emacs 23.1.93 (wrong rendering) are attached. Please notice how
>> ugly "Global Mark Ring" looks when rendered by emacs23.
>
>>   NOTE: emacs 23.1.1 also renders wrong."
>
> I meant this one:
>
>>>>>> On Thu, 04 Mar 2010 22:22:50 +0300, <[email-masked]> said:
>
>> BTW, emacs 23.1.1 only breaks rendering after I move cursor over the
>> text. If I, for examle, select the text (active region so it's
>> highlighted), the rendering becomes OK. Emacs 23.1.93 is more
>> consistent and always renders bad.
>
> I could not find the difference between the release version and the
> pretest one.

Well, I do see this difference indeed, but both render wrong anyway, so
the difference is not essential, I think.

> Anyway, is `xterm -fa terminus:style=oblique' also broken?  If so, we
> can conclude this is not a bug at the Emacs side.

Yeah, this is broken as well. So please excuse my ignorance, but where
exactly the problem is? I.e., why emacs 22 renders it fine? What is a
work-around for emacs 23?

-- Sergei.